1. Taobao Product Search
  • API Signature & Authentication Specification
  • Alibaba[1688] Open Platform API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
      • API for 1688 Recommended Products
    • 1688 Business Opportunities
      • API for 1688 Hot Products
      • API for 1688 Hot Keywords
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Message Service
      • Callback Message Signature Verification Specification
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
  • Taobao Open Platform API
    • Taobao Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
        GET
      • API for Product Detail Search
        GET
      • API for Searching Products in a Shop
        GET
    • Taobao Logistics
      • API for China Domestic Shipping Cost
  1. Taobao Product Search

API for Searching Products in a Shop

GET
/taobao/traffic/item/shop/search
For the API for Searching Products in a Shop, certain shops may return no data or only a partial product list. This is currently unavoidable and cannot be optimized.

Request

Query Params

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/taobao/traffic/item/shop/search?appKey=&appSecret=&sign=undefined&shop_id=60400765&sort=&filters=&page_no=1&page_size=20&language='
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "data": [
            {
                "miId": "0000o96zojYoCI8oA_FgO3yBoSKZs2dCJ0bLKX7NG5GqNHQ",
                "shopName": "决战时刻正品 10年老店 坚持正品",
                "inventory": 31,
                "title": "Air Jordan 5 Retro AJ5橄榄绿复古休闲气垫篮球鞋 DD0587-308",
                "tags": [],
                "itemId": 881193588487,
                "price": "999.00",
                "shippingOrigin": "浙江宁波",
                "promotionDisplays": [],
                "shopDsr": "4.50",
                "couponPrice": "830.76",
                "multiLanguageInfo": {},
                "mainImageUrl": "https://img.alicdn.com/imgextra/i2/349883939/O1CN01nu7ic71ey78JefZWf_!!349883939.jpg"
            }
        ],
        "pageNo": 1,
        "pageSize": 1
    },
    "timestamp": 1785350859573,
    "traceId": "4c0f8601c09d",
    "cost": 0
}
Previous
API for Product Detail Search
Next
API for China Domestic Shipping Cost
Built with